> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Data Source Trust Scores > Returns trust score information for a specified data source ## OpenAPI ````json GET /api/v1/Catalog/data-sources/{dataSourceId}/trust-scores { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Catalog/data-sources/{dataSourceId}/trust-scores": { "get": { "tags": [ "Catalog" ], "summary": "Get Data Source Trust Scores", "description": "Returns trust score information for a specified data source", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "Id of the specified data source", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTrustScores" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.DataSourceTrustScores": { "title": "DataSourceTrustScores", "type": "object", "properties": { "dataSource": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TrustScoresMetaObjectDataSource" }, "avgTrustScores": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TrustScoresAverageTrustScores" }, "objectTrustScoresByImpactRating": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TrustScoresByImpactRating" }, "description": "List of table trust score summaries separated by impact rating" }, "currentTestStatus": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TrustScoreTestStatus" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TrustScoresMetaObjectDataSource": { "title": "TrustScoresMetaObjectDataSource", "type": "object", "properties": { "dataSourceName": { "type": "string", "description": "Name of the specified data source", "nullable": true }, "dataSourceId": { "type": "integer", "description": "ID of the specified data source", "format": "int32" }, "dataSourceServer": { "type": "string", "description": "Server of the specified data source", "nullable": true }, "dataSourceDatabase": { "type": "string", "description": "Database of the specified data source", "nullable": true }, "includeInTrustScore": { "type": "boolean", "description": "Whether the specified data source is included in trust scores" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TrustScoresAverageTrustScores": { "title": "TrustScoresAverageTrustScores", "type": "object", "properties": { "avgTrustScore": { "type": "number", "description": "Average trust score of child tables of the specified meta object", "format": "double" }, "avgQualityScore": { "type": "number", "description": "Average quality score of child tables of the specified meta object", "format": "double" }, "avgCoverageScore": { "type": "number", "description": "Average coverage score of child tables of the specified meta object", "format": "double" }, "avgImpactRatingTrustScoreTarget": { "type": "number", "description": "Average impact rating target trust score of child tables of the specified meta object", "format": "double" }, "avgImpactRatingQualityScoreTarget": { "type": "number", "description": "Average impact rating target quality score of child tables of the specified meta object", "format": "double" }, "avgImpactRatingCoverageScoreTarget": { "type": "number", "description": "Average impact rating target coverage score of child tables of the specified meta object", "format": "double" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TrustScoresByImpactRating": { "title": "TrustScoresByImpactRating", "type": "object", "properties": { "impactRating": { "type": "string", "description": "Name of the impact rating", "nullable": true }, "tablesAboveTargetScore": { "type": "integer", "description": "Number of tables with the given impact rating at or above the target score", "format": "int32" }, "tablesBelowTargetScore": { "type": "integer", "description": "Number of tables with the given impact rating below the target score", "format": "int32" }, "tablesUnknown": { "type": "integer", "description": "Number of tables with the given impact rating without a trust score value", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TrustScoreTestStatus": { "title": "TrustScoreTestStatus", "type": "object", "properties": { "passingTests": { "type": "integer", "description": "Number of currently passing tests associated with the specified meta object", "format": "int32" }, "failingTests": { "type": "integer", "description": "Number of currently failing tests associated with the specified meta object", "format": "int32" }, "erroringTests": { "type": "integer", "description": "Number of currently erroring tests associated with the specified meta object", "format": "int32" }, "intermittentTests": { "type": "integer", "description": "Number of intermittently passing tests associated with the specified meta object", "format": "int32" }, "notRunTests": { "type": "integer", "description": "Number of tests associated with the specified meta object that have not been run", "format": "int32" } }, "additionalProperties": false } } } } ````